<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraJuizes.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraTodosCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.backShowChamp']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraJuizes.title']}"/></h1>
		
		<h:form id="formMostraJuizes">
		
			<p:dataTable var="aux"
					 value="#{juizManagedBeans.campeonatoSelecionado.juizes}"
					 id="tabelaJuizes"
					 editable="true" paginator="true"
					 rows="5"
					 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                	 rowsPerPageTemplate="5,10,15">
                	 
                <!-- <p:ajax event="rowEdit" listener="#{juizManagedBeans.onRowEdit}"
                update="tabelaJuizes"/> -->
					
				<p:column headerText="#{msg['pages.cadastraJuiz.tipo']}">
					<p:outputLabel value="#{aux.tipo}" />
				</p:column>
				
				<p:column filterBy="#{aux.usuario.nome}" headerText="#{msg['pages.cadastraJuiz.usuario']}">
					<p:outputLabel value="#{aux.usuario.nome}" />
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<!-- <p:rowEditor /> -->
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{juizManagedBeans.remover(aux)}"
						update="tabelaJuizes" />
	  			</p:column>
				
			</p:dataTable>
		</h:form>
	
	
	</ui:define>	
</ui:composition>